%global namedreltag -b003
%global namedversion %{version}%{?namedreltag}
Name:          glassfish-gmbal
Version:       3.2.0
Release:       %mkrel 0.9.b005
Group:         Development/Java
Summary:       GlassFish MBean Annotation Library
License:       CDDL or GPLv2 with exceptions
URL:           http://java.net/projects/gmbal/pages/Home
# hg clone -r VERSION-3.2.0-b003 https://hg.java.net/hg/gmbal~master glassfish-gmbal-3.2.0-b003
# find glassfish-gmbal-3.2.0-b003/ -name '*.jar' -delete
# find glassfish-gmbal-3.2.0-b003/ -name '*.class' -delete
# find glassfish-gmbal-3.2.0-b003/ -name '*.tgz' -delete
# find glassfish-gmbal-3.2.0-b003/ -name '*.zip' -delete
# rm -rf glassfish-gmbal-3.2.0-b003/lib/* glassfish-gmbal-3.2.0-b003/.hg
# tar cJf glassfish-gmbal-3.2.0-b003-src-hg.tar.xz glassfish-gmbal-3.2.0-b003
Source0:       %{name}-%{namedversion}-src-hg.tar.xz
Source1:       %{name}-%{namedversion}-01-build.xml

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: aqute-bnd
BuildRequires: glassfish-management-api
BuildRequires: glassfish-pfl
BuildRequires: javapackages-local
BuildRequires: junit

BuildArch:     noarch

%description
The GlassFish MBean Annotation Library (gmbal, pronounced "Gumball")
is a library for using annotations to create Open MBeans. There is similar
functionality in JSR 255 for JDK 7, but gmbal only requires JDK 5. Gmbal
also supports JSR 77 ObjectNames and the GlassFish Version 3 AMX 
requirements for MBeans. AS a consequence, gmbal-enabled classes
will be fully manageable in GlassFish v3 using the standard GlassFish
v3 admin tools, while still being manageable with generic MBean tools
when not run under GlassFish v3.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

cp -p %{SOURCE1} build.xml

# This test fails on java8
rm -r test/org/glassfish/gmbal/impl/AMXClientTest.java

%build

%ant jars javadoc test

bnd wrap -p make/gmbal.bnd -o dist/gmbal.bar dist/gmbal.jar
mv dist/gmbal.bar dist/gmbal.jar
bnd wrap -p make/gmbal-api-only.bnd -o dist/gmbal-api-only.bar dist/gmbal-api-only.jar
mv dist/gmbal-api-only.bar dist/gmbal-api-only.jar

%install
%mvn_file org.glassfish.gmbal:gmbal %{name}
%mvn_file org.glassfish.gmbal:gmbal-api-only %{name}-api-only
%mvn_artifact make/gmbal.pom dist/gmbal.jar
%mvn_artifact make/gmbal-api-only.pom dist/gmbal-api-only.jar
%mvn_install -J dist/javadoc

%files -f .mfiles
%license legal/LICENSE.TXT

%files javadoc -f .mfiles-javadoc
%license legal/LICENSE.TXT



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 3.2.0-0.9.b005.mga6
+ Revision: 982074
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.2.0-0.9.b004.mga6
+ Revision: 976253
- First rebuild of the java stack
- sync package glassfish-gmbal with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Dec 28 2014 daviddavid <daviddavid> 3.2.0-0.3.b003.5.mga5
+ Revision: 806814
- Sync with fc21

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 3.2.0-0.3.b003.2.mga4
+ Revision: 537841
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 3.2.0-0.3.b003.1.mga4
+ Revision: 487961
- imported package glassfish-gmbal


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-0.3.b003
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 02 2013 gil cattaneo <puntogil@libero.it> 3.2.0-0.2.b003
- use xz to compress tarball rhbz#980630
- minor changes to adapt to current guideline

* Wed Sep 19 2012 gil cattaneo <puntogil@libero.it> 3.2.0-0.1.b003
- initial rpm
